package com.yd.dal.mapper.marketing;

import com.github.pagehelper.Page;
import com.yd.dal.entity.marketing.MktAnnouncement;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface MktAnnouncementMapper {
    int deleteByPrimaryKey(Long id);

    int insert(MktAnnouncement record);

    int insertSelective(MktAnnouncement record);

    MktAnnouncement selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(MktAnnouncement record);

    int updateByPrimaryKey(MktAnnouncement record);

    Page<MktAnnouncement> selectByObj(MktAnnouncement info);

    List<MktAnnouncement> findByIsActiveAndAnnouncementAtBefore(@Param("isActive") int isActive,@Param("date") Date date);
}